# KSPNormType

Norm that is passed in the Krylov convergence test routines.

### Synopsis

    typedef enum {KSP_NORM_NO = 0,KSP_NORM_PRECONDITIONED = 1,KSP_NORM_UNPRECONDITIONED = 2,KSP_NORM_NATURAL = 3} KSPNormType;

Notes: this must match finclude/petscksp.h

### See Also

KSPSolve(), KSPGetConvergedReason(), KSPSetNormType(),
KSPSetConvergenceTest()

Level:advanced
Location: src/ksp/ksp/../../../include/petscksp.h
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages